function  vykresli_mfs_mamdani(fis_sugeno,name1,name2)
x = [fis_sugeno.Inputs.MembershipFunctions(1, 1).Parameters(1),fis_sugeno.Inputs.MembershipFunctions(1, 1).Parameters(2),fis_sugeno.Inputs.MembershipFunctions(1, 1).Parameters(3)];
figure(1);
plot(fis_sugeno.Inputs.Range(1,1)-0.1:fis_sugeno.Inputs.Range(1,2)+0.1  ,0);
ylim([0,1.2]);
grid on;
hold on;
p1=plot(x,[0,1,0],'LineWidth',1.4);
x = [fis_sugeno.Inputs.MembershipFunctions(1, 2).Parameters(1),fis_sugeno.Inputs.MembershipFunctions(1, 2).Parameters(2),fis_sugeno.Inputs.MembershipFunctions(1, 2).Parameters(3)];
p2=plot(x,[0,1,0],'LineWidth',1.4);
x = [fis_sugeno.Inputs.MembershipFunctions(1, 3).Parameters(1),fis_sugeno.Inputs.MembershipFunctions(1, 3).Parameters(2),fis_sugeno.Inputs.MembershipFunctions(1, 3).Parameters(3)];
p3=plot(x,[0,1,0],'LineWidth',1.4);
x = [fis_sugeno.Inputs.MembershipFunctions(1, 4).Parameters(1),fis_sugeno.Inputs.MembershipFunctions(1, 4).Parameters(2),fis_sugeno.Inputs.MembershipFunctions(1, 4).Parameters(3)];
p4=plot(x,[0,1,0],'LineWidth',1.4);
x = [fis_sugeno.Inputs.MembershipFunctions(1, 5).Parameters(1),fis_sugeno.Inputs.MembershipFunctions(1, 5).Parameters(2),fis_sugeno.Inputs.MembershipFunctions(1, 5).Parameters(3)];
p5=plot(x,[0,1,0],'LineWidth',1.4);
x = [fis_sugeno.Inputs.MembershipFunctions(1, 6).Parameters(1),fis_sugeno.Inputs.MembershipFunctions(1, 6).Parameters(2),fis_sugeno.Inputs.MembershipFunctions(1, 6).Parameters(3)];
p6=plot(x,[0,1,0],'LineWidth',1.4);
x = [fis_sugeno.Inputs.MembershipFunctions(1, 7).Parameters(1),fis_sugeno.Inputs.MembershipFunctions(1, 7).Parameters(2),fis_sugeno.Inputs.MembershipFunctions(1, 7).Parameters(3)];
p7=plot(x,[0,1,0],'LineWidth',1.4);
title('Funkce příslušnosti FIS Mamdani (Input)');
xlabel('Vzdálenost od spline [m]');
ylabel('Hodnota příslušnosti [-]');
legend([p1,p2,p3,p4,p5,p6,p7],'Mf1','Mf2','Mf3','Mf4','Mf5','Mf6','Mf7','NumColumns',4);
hold off;
saveas(gcf,name1);


figure(2);
x = [fis_sugeno.Outputs.MembershipFunctions(1, 1).Parameters(1),fis_sugeno.Outputs.MembershipFunctions(1, 1).Parameters(2),fis_sugeno.Outputs.MembershipFunctions(1, 1).Parameters(3)];
plot(((fis_sugeno.Outputs.Range(1,1)-0.02)*900):(fis_sugeno.Outputs.Range(1,2)+0.1)*450,0);
ylim([0,1.2]);
grid on;
hold on;
p1=plot(x.*900,[0,1,0],'LineWidth',1.4);
x = [fis_sugeno.Outputs.MembershipFunctions(1, 2).Parameters(1),fis_sugeno.Outputs.MembershipFunctions(1, 2).Parameters(2),fis_sugeno.Outputs.MembershipFunctions(1, 2).Parameters(3)];
p2=plot(x.*900,[0,1,0],'LineWidth',1.4);
x = [fis_sugeno.Outputs.MembershipFunctions(1, 3).Parameters(1),fis_sugeno.Outputs.MembershipFunctions(1, 3).Parameters(2),fis_sugeno.Outputs.MembershipFunctions(1, 3).Parameters(3)];
p3=plot(x.*900,[0,1,0],'LineWidth',1.4);
x = [fis_sugeno.Outputs.MembershipFunctions(1, 4).Parameters(1),fis_sugeno.Outputs.MembershipFunctions(1, 4).Parameters(2),fis_sugeno.Outputs.MembershipFunctions(1, 4).Parameters(3)];
p4=plot(x.*900,[0,1,0],'LineWidth',1.4);
x = [fis_sugeno.Outputs.MembershipFunctions(1, 5).Parameters(1),fis_sugeno.Outputs.MembershipFunctions(1, 5).Parameters(2),fis_sugeno.Outputs.MembershipFunctions(1, 5).Parameters(3)];
p5=plot(x.*900,[0,1,0],'LineWidth',1.4);
x = [fis_sugeno.Outputs.MembershipFunctions(1, 6).Parameters(1),fis_sugeno.Outputs.MembershipFunctions(1, 6).Parameters(2),fis_sugeno.Outputs.MembershipFunctions(1, 6).Parameters(3)];
p6=plot(x.*900,[0,1,0],'LineWidth',1.4);
x = [fis_sugeno.Outputs.MembershipFunctions(1, 7).Parameters(1),fis_sugeno.Outputs.MembershipFunctions(1, 7).Parameters(2),fis_sugeno.Outputs.MembershipFunctions(1, 7).Parameters(3)];
p7=plot(x.*900,[0,1,0],'LineWidth',1.4);
title('Funkce příslušnosti FIS Mamdani (Output)');
xlabel('Úhel natočení volantu [°]');
ylabel('Hodnota příslušnosti [-]');
legend([p1,p2,p3,p4,p5,p6,p7],'Mf1','Mf2','Mf3','Mf4','Mf5','Mf6','Mf7','NumColumns',4);
hold off;
saveas(gcf,name2);
end

